## pybtex 0.20.1

=== docs/Makefile ===
# makefile for sphinx documentation
#

# you can set these variables from the command line.
sphinxopts    =
sphinxbuild   = sphinx-build
paper         =
builddir      = build

# user-friendly check for sphinx-build
ifeq ($(shell which $(sphinxbuild) >/dev/null 2>&1; echo $$?), 1)
$(error the '$(sphinxbuild)' command was not found. make sure you have sphinx installed, then set the sphinxbuild environment variable to point to the full path of the '$(sphinxbuild)' executable. alternatively you can add the directory with the executable to your path. if you don't have sphinx installed, grab it from http://sphinx-doc.org/)
endif

# internal variables.
paperopt_a4     = -d latex_paper_size=a4
paperopt_letter = -d latex_paper_size=letter
allsphinxopts   = -d $(builddir)/doctrees $(paperopt_$(paper)) $(sphinxopts) source
sitesphinxopts   = -d $(builddir)/site-doctrees $(paperopt_$(paper)) $(sphinxopts) site
# the i18n builder cannot share the environment and doctrees with the others
i18nsphinxopts  = $(paperopt_$(paper)) $(sphinxopts) source

.PHONY: help clean html site dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext upload-docs upload-site upload

help:
	@echo "please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone html files"
	@echo "  dirhtml    to make html files named index.html in directories"
	@echo "  singlehtml to make a single large html file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make json files"
	@echo "  htmlhelp   to make html files and a html help project"
	@echo "  qthelp     to make html files and a qthelp project"
	@echo "  devhelp    to make html files and a devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make latex files, you can set paper=a4 or paper=letter"
	@echo "  latexpdf   to make latex files and run them through pdflatex"
	@echo "  latexpdfja to make latex files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make texinfo files"
	@echo "  info       to make texinfo files and run them through makeinfo"
	@echo "  gettext    to make po message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make docutils-native xml files"
	@echo "  pseudoxml  to make pseudoxml-xml files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(builddir)/*

html:
	$(sphinxbuild) -b html $(allsphinxopts) $(builddir)/html
	@echo
	@echo "build finished. the html pages are in $(builddir)/html."

site:
	$(sphinxbuild) -b html $(sitesphinxopts) $(builddir)/site
	@echo
	@echo "build finished. the site pages are in $(builddir)/site."

dirhtml:
	$(sphinxbuild) -b dirhtml $(allsphinxopts) $(builddir)/dirhtml
	@echo
	@echo "build finished. the html pages are in $(builddir)/dirhtml."

singlehtml:
	$(sphinxbuild) -b singlehtml $(allsphinxopts) $(builddir)/singlehtml
	@echo
	@echo "build finished. the html page is in $(builddir)/singlehtml."

pickle:
	$(sphinxbuild) -b pickle $(allsphinxopts) $(builddir)/pickle
	@echo
	@echo "build finished; now you can process the pickle files."

json:
	$(sphinxbuild) -b json $(allsphinxopts) $(builddir)/json
	@echo
	@echo "build finished; now you can process the json files."

htmlhelp:
	$(sphinxbuild) -b htmlhelp $(allsphinxopts) $(builddir)/htmlhelp
	@echo
	@echo "build finished; now you can run html help workshop with the" \
	      ".hhp project file in $(builddir)/htmlhelp."

qthelp:
	$(sphinxbuild) -b qthelp $(allsphinxopts) $(builddir)/qthelp
	@echo
	@echo "build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(builddir)/qthelp, like this:"
	@echo "# qcollectiongenerator $(builddir)/qthelp/pybtex.qhcp"
	@echo "to view the help file:"
	@echo "# assistant -collectionfile $(builddir)/qthelp/pybtex.qhc"

devhelp:
	$(sphinxbuild) -b devhelp $(allsphinxopts) $(builddir)/devhelp
	@echo
	@echo "build finished."
	@echo "to view the help file:"
	@echo "# mkdir -p $$home/.local/share/devhelp/pybtex"
	@echo "# ln -s $(builddir)/devhelp $$home/.local/share/devhelp/pybtex"
	@echo "# devhelp"

epub:
	$(sphinxbuild) -b epub $(allsphinxopts) $(builddir)/epub
	@echo
	@echo "build finished. the epub file is in $(builddir)/epub."

latex:
	$(sphinxbuild) -b latex $(allsphinxopts) $(builddir)/latex
	@echo
	@echo "build finished; the latex files are in $(builddir)/latex."
	@echo "run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(sphinxbuild) -b latex $(allsphinxopts) $(builddir)/latex
	@echo "running latex files through pdflatex..."
	$(make) -c $(builddir)/latex all-pdf
	@echo "pdflatex finished; the pdf files are in $(builddir)/latex."

latexpdfja:
	$(sphinxbuild) -b latex $(allsphinxopts) $(builddir)/latex
	@echo "running latex files through platex and dvipdfmx..."
	$(make) -c $(builddir)/latex all-pdf-ja
	@echo "pdflatex finished; the pdf files are in $(builddir)/latex."

text:
	$(sphinxbuild) -b text $(allsphinxopts) $(builddir)/text
	@echo
	@echo "build finished. the text files are in $(builddir)/text."

man:
	$(sphinxbuild) -b man $(allsphinxopts) $(builddir)/man
	@echo
	@echo "build finished. the manual pages are in $(builddir)/man."

texinfo:
	$(sphinxbuild) -b texinfo $(allsphinxopts) $(builddir)/texinfo
	@echo
	@echo "build finished. the texinfo files are in $(builddir)/texinfo."
	@echo "run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(sphinxbuild) -b texinfo $(allsphinxopts) $(builddir)/texinfo
	@echo "running texinfo files through makeinfo..."
	make -c $(builddir)/texinfo info
	@echo "makeinfo finished; the info files are in $(builddir)/texinfo."

gettext:
	$(sphinxbuild) -b gettext $(i18nsphinxopts) $(builddir)/locale
	@echo
	@echo "build finished. the message catalogs are in $(builddir)/locale."

changes:
	$(sphinxbuild) -b changes $(allsphinxopts) $(builddir)/changes
	@echo
	@echo "the overview file is in $(builddir)/changes."

linkcheck: linkcheck-site linkcheck-docs

linkcheck-docs:
	$(sphinxbuild) -b linkcheck $(allsphinxopts) $(builddir)/linkcheck
	@echo
	@echo "link check complete; look for any errors in the above output " \
	      "or in $(builddir)/linkcheck/output.txt."

linkcheck-site:
	$(sphinxbuild) -b linkcheck $(sitesphinxopts) $(builddir)/linkcheck
	@echo
	@echo "link check complete; look for any errors in the above output " \
	      "or in $(builddir)/linkcheck/output.txt."

doctest:
	$(sphinxbuild) -b doctest $(allsphinxopts) $(builddir)/doctest
	@echo "testing of doctests in the sources finished, look at the " \
	      "results in $(builddir)/doctest/output.txt."

xml:
	$(sphinxbuild) -b xml $(allsphinxopts) $(builddir)/xml
	@echo
	@echo "build finished. the xml files are in $(builddir)/xml."

pseudoxml:
	$(sphinxbuild) -b pseudoxml $(allsphinxopts) $(builddir)/pseudoxml
	@echo
	@echo "build finished. the pseudo-xml files are in $(builddir)/pseudoxml."


# http://pybtex.org/ stuff
RSYNC = rsync -rv --delete
RSYNC_SERVER = www-pybtex@sologoc.com

upload-docs: html
	(cd .. && ./setup.py upload_docs --upload-dir docs/$(builddir)/html)
	$(RSYNC) $(builddir)/html/ $(RSYNC_SERVER):docs/html/
	surge $(builddir)/html/ docs.pybtex.org

upload-site: site
	$(RSYNC) $(builddir)/site/ $(RSYNC_SERVER):www/html/
	surge $(builddir)/site/ pybtex.org

upload: upload-site upload-docs

## pybtex 0.12

=== debian/changelog ===
pybtex (0.12-2) unstable; urgency=low

  * Don't remove alternatives in prerm/upgrade.
  * Replace Breaks with Conflicts.
  * Install alternative for /usr/bin/bibtex (closes: #560376).
    Conflict with TeX Live packages, which installed this file.
  * Update debian/copyright in accordance to the latest DEP-5 version.
  * Switch to source format 3.0 (quilt).
  * Make tests/run_bibtex.py compatible with Python 2.5.
  * Run unit-tests at build time.

 -- Jakub Wilk <ubanus@users.sf.net>  Tue, 29 Dec 2009 14:07:07 +0100

pybtex (0.12-1) unstable; urgency=low

  * Initial release (closes: #535116).

 -- Jakub Wilk <ubanus@users.sf.net>  Sat, 05 Dec 2009 15:35:02 +0100

=== debian/control ===
Source: pybtex
Section: tex
Priority: optional
Maintainer: Jakub Wilk <ubanus@users.sf.net>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~),
  python-support (>= 0.90), python-setuptools,
  python-nose, python-pyparsing, python-yaml, bzr,
  python-docutils, python-jinja2, python-pygments,
  elinks-lite | elinks
XS-Python-Version: >= 2.5
Standards-Version: 3.8.3
Homepage: http://pybtex.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/python-apps/packages/pybtex/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/pybtex/trunk/

Package: pybtex
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-pyparsing
Conflicts: pybliographer (<< 1.2.12-3.1~), texlive-binaries (<< 2009-5~), texlive-base-bin (<< 2009-5~)
Recommends: python-yaml
Description: BibTeX-compatible bibliography processor
 Pybtex reads citation information from a file and produces a formatted
 bibliography. BibTeX style files are supported. Alternatively it is
 possible to write styles in Python.
 .
 Pybtex currently understands the following bibliography formats:
  * BibTeX
  * BibTeXML
  * YAML-based format
 .
 The resulting bibliography may be output in one of the following formats:
  * LaTeX
  * HTML
  * plain text

=== debian/rules ===
#!/usr/bin/make -f

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install
	cd debian/pybtex/usr/bin && mv pybtex bibtex.pybtex
	for module in tests docgen; do \
	rm -Rf debian/pybtex/usr/lib/python*/*-packages/pybtex/$$module/; \
	done

.PHONY: override_dh_installman
override_dh_installman:
	dh_installman
	cd debian/pybtex/ && rename.ul pybtex bibtex.pybtex usr/share/man/man*/pybtex.[0-9]

.PHONY: override_dh_auto_test
override_dh_auto_test:
	python setup.py nosetests

.PHONY: override_dh_installchangelog
override_dh_installchangelogs:
	elinks -config-file /dev/null -dump -no-numbering -no-references docs/html/history.html \
	| grep -A1000 ^Version \
	| sed -e '/ *-\{50,\}- *$$/ { s///; q }' \
	> docs/changelog
	dh_installchangelogs docs/changelog

.PHONY: build build-arch build-indep binary binary-arch binary-indep clean
build build-arch build-indep binary binary-indep clean:
	dh $(@)
# In order not to confuse lintian, binary-arch is a separate target:
binary-arch:

# vim:ts=4 sw=4 noet

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/p/pybtex/pybtex-(\d+[.]\d+)[.]tar[.]bz2

## pybtex 0.13.2

=== debian/changelog ===
pybtex (0.13.2-1) unstable; urgency=low

  * New upstream release.
  * Run tests for all supported Python versions.
    + Build-depend on python-all.
  * Fix watch file to accept more than one dot in version number.
  * Work around the fact that different PKG-INFO files can be generated for
    different Python versions.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 04 Mar 2010 14:56:58 +0100

pybtex (0.13.1-1) unstable; urgency=low

  * New upstream release:
    + Drop Python 2.5 compatibility patch, applied upstream.
  * Bump standards version to 3.8.4 (no changes needed).
  * Update my e-mail address.
  * Remove requires.txt (dpkg is better at handling dependencies).
  * Respect the ‘nocheck’ build option.
  * Update debian/copyright.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 18 Feb 2010 19:54:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: pybtex
 Section: tex
 Priority: optional
-Maintainer: Jakub Wilk <ubanus@users.sf.net>
+Maintainer: Jakub Wilk <jwilk@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
-  python-support (>= 0.90), python-setuptools,
+  python-all (>= 2.5), python-support (>= 0.90), python-setuptools,
   python-nose, python-pyparsing, python-yaml, bzr,
   python-docutils, python-jinja2, python-pygments,
   elinks-lite | elinks
 XS-Python-Version: >= 2.5
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Homepage: http://pybtex.sourceforge.net/
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/pybtex/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/pybtex/trunk/

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 	for module in tests docgen; do \
 	rm -Rf debian/pybtex/usr/lib/python*/*-packages/pybtex/$$module/; \
 	done
+	rm -f debian/pybtex/usr/lib/python*/*-packages/*.egg-info/requires.txt
 
 .PHONY: override_dh_installman
 override_dh_installman:
@@ -15,7 +16,12 @@
 
 .PHONY: override_dh_auto_test
 override_dh_auto_test:
-	python setup.py nosetests
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	set -e; \
+	for python in $(shell pyversions -r); do \
+		$$python setup.py nosetests; \
+	done
+endif
 
 .PHONY: override_dh_installchangelog
 override_dh_installchangelogs:
@@ -25,6 +31,13 @@
 	> docs/changelog
 	dh_installchangelogs docs/changelog
 
+.PHONY: override_dh_pysupport
+override_dh_pysupport:
+# For some reason PKG-INFO files differ between Python versions.
+# Let's leave only ony copy.
+	find debian/ -name PKG-INFO | tail -n +2 | xargs -r -n1 cp -vf $(shell find debian/ -name PKG-INFO | head -n 1)
+	dh_pysupport
+
 .PHONY: build build-arch build-indep binary binary-arch binary-indep clean
 build build-arch build-indep binary binary-indep clean:
 	dh $(@)

## pybtex 0.15

=== debian/changelog ===
pybtex (0.15-1) unstable; urgency=low

  * New maintainer (closes: #587423).
  * New upstream release
    + Upstream relicenced everything to Expat.
   * Changed debian/copyright
    + to meet CANDIDATE DEP-5.
    + removed GPL-2+ license for database/convert/__main__.py.
    + added BSD-3-clause license for custom_fixers/fix_alt_unicode.py
  * Bumped standards version to 3.9.2 (no changes needed).
  * Uploaded to Unstable.

 -- Daniel Stender <daniel@danielstender.com>  Wed, 25 May 2011 13:00:53 +0200

pybtex (0.14-1) experimental; urgency=low

  * New upstream release.
    + Bump minimum Python version to 2.6.
    + Drop patch to import bzrlib only when needed; applied upstream.
    + Improve performance on very long name lists (closes: #595082).

 -- Jakub Wilk <jwilk@debian.org>  Sat, 25 Sep 2010 12:58:04 +0200

pybtex (0.13.2-2) unstable; urgency=low

  * Fix a typo in debian/rules. Thanks to Michael Fladischer for spotting
    that.
  * Drop work-around for bug #575377.
  * Bump standards version to 3.9.1.
    + Override lintian's conflicts-with-version (Breaks is not sufficient for
      pybtex).
  * Get rid of build-dependency on bzr (closes: #593029).

 -- Jakub Wilk <jwilk@debian.org>  Tue, 17 Aug 2010 23:58:25 +0200

=== debian/control ===
Source: pybtex
Section: tex
Priority: optional
Maintainer: Daniel Stender <daniel@danielstender.com>
Uploaders:
 Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 elinks-lite | elinks,
 python-all (>= 2.6.5-13~),
 python-docutils,
 python-jinja2,
 python-nose,
 python-pygments,
 python-pyparsing,
 python-setuptools,
 python-support (>= 0.90),
 python-yaml
X-Python-Version: >= 2.6
Standards-Version: 3.9.2
Homepage: http://pybtex.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/python-apps/packages/pybtex/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/pybtex/trunk/

Package: pybtex
Architecture: all
Depends: python-pyparsing, ${misc:Depends}, ${python:Depends}
Conflicts:
 pybliographer (<< 1.2.12-3.1~),
 texlive-base-bin (<< 2009-5~),
 texlive-binaries (<< 2009-5~)
Recommends: python-yaml
Description: BibTeX-compatible bibliography processor
 Pybtex reads citation information from a file and produces a formatted
 bibliography. BibTeX style files are supported. Alternatively it is
 possible to write styles in Python.
 .
 Pybtex currently understands the following bibliography formats:
  * BibTeX
  * BibTeXML
  * YAML-based format
 .
 The resulting bibliography may be output in one of the following formats:
  * LaTeX
  * HTML
  * plain text

=== debian/rules ===
--- 
+++ 
@@ -23,20 +23,13 @@
 	done
 endif
 
-.PHONY: override_dh_installchangelog
+.PHONY: override_dh_installchangelogs
 override_dh_installchangelogs:
 	elinks -config-file /dev/null -dump -no-numbering -no-references docs/html/history.html \
 	| grep -A1000 ^Version \
 	| sed -e '/ *-\{50,\}- *$$/ { s///; q }' \
 	> docs/changelog
 	dh_installchangelogs docs/changelog
-
-.PHONY: override_dh_pysupport
-override_dh_pysupport:
-# For some reason PKG-INFO files differ between Python versions.
-# Let's leave only ony copy.
-	find debian/ -name PKG-INFO | tail -n +2 | xargs -r -n1 cp -vf $(shell find debian/ -name PKG-INFO | head -n 1)
-	dh_pysupport
 
 .PHONY: build build-arch build-indep binary binary-arch binary-indep clean
 build build-arch build-indep binary binary-indep clean:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/p/pybtex/pybtex-([0-9.]+)[.]tar[.]bz2

## pybtex 0.18

=== debian/changelog ===
pybtex (0.18-1) unstable; urgency=low

  * New upstream release.
  * deb/changelog: fixed typo (fixes lintian complaint on
    experimental-to-unstable-w/o-comment).
  * deb/control:
    + Updated maintainer email address.
    + Bumped standards to 3.9.5 (no changes needed).
    + Use canonical URIs for Vcs-* fields [Jakub Wilk].
    + Added python-pkg-resources to Depends (Closes: #684699).
    + Removed Conflicts (obsolete).
  * deb/copyright: changed Format line for DEP-5, updated.
  * deb/rules:
    + Added export lines for DH_VERBOSE and DEB_BUILD_OPTIONS.
    + Removed build targets in favour of simplified dh sequencer call.
  * Changed to build with dh_python2:
    + deb/control: removed b-d on python-support, bumped version of
      python-all to 2.6.6-3~.
    + deb/rules: rearragned, added python2 to dh sequencer.
  * Upstream now ships with changelog:
    + deb/clean: removed doc/changelog.
    + deb/control: removed b-p on elinks.
    + deb/rules: dropped override for dh_installchangelogs.
  * Removed lintian-overrides (obsolete).

 -- Daniel Stender <debian@danielstender.com>  Sat, 19 Jul 2014 13:20:07 +0200

=== debian/control ===
Source: pybtex
Section: tex
Priority: optional
Maintainer: Daniel Stender <debian@danielstender.com>
Uploaders:
 Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 python-all (>= 2.6.6-3~),
 python-docutils,
 python-jinja2,
 python-nose,
 python-pygments,
 python-pyparsing,
 python-setuptools,
 python-yaml
X-Python-Version: >= 2.6
Standards-Version: 3.9.5
Homepage: http://pybtex.sourceforge.net/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/pybtex/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/pybtex/trunk/

Package: pybtex
Architecture: all
Depends:
 python-pkg-resources,
 python-pyparsing,
 ${misc:Depends},
 ${python:Depends}
Recommends: python-yaml
Description: BibTeX-compatible bibliography processor
 Pybtex reads citation information from a file and produces a formatted
 bibliography. BibTeX style files are supported. Alternatively it is
 possible to write styles in Python.
 .
 Pybtex currently understands the following bibliography formats:
  * BibTeX
  * BibTeXML
  * YAML-based format
 .
 The resulting bibliography may be output in one of the following formats:
  * LaTeX
  * HTML
  * plain text

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck

%:
	dh $@ --with python2

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install
	cd debian/pybtex/usr/bin && mv pybtex bibtex.pybtex
	for module in tests docgen; do \
	rm -Rf debian/pybtex/usr/lib/python*/*-packages/pybtex/$$module/; \
	done
	rm -f debian/pybtex/usr/lib/python*/*-packages/*.egg-info/requires.txt

.PHONY: override_dh_installman
override_dh_installman:
	dh_installman
	cd debian/pybtex/ && rename.ul pybtex bibtex.pybtex usr/share/man/man*/pybtex.[0-9]

.PHONY: override_dh_auto_test
override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	set -e; \
	for python in $(shell pyversions -r); do \
		$$python setup.py nosetests; \
	done
endif

## pybtex 0.20.1

=== debian/changelog ===
pybtex (0.20.1-1) unstable; urgency=medium

  * New upstream release (Closes: #818183).
  * deb/control:
    + added python-latexcodec to build deps.
    + bumped standards to 3.9.8 (no changes needed).
    + dropped python-yaml from binary package deps (not needed).
  * deb/copyright: added Hong Xu, updated copyright span.

 -- Daniel Stender <stender@debian.org>  Wed, 11 May 2016 13:53:55 +0200

pybtex (0.19-2) unstable; urgency=medium

  * Added hardcode-copyright-year.patch.

 -- Daniel Stender <stender@debian.org>  Fri, 01 Apr 2016 21:14:34 +0200

pybtex (0.19-1) unstable; urgency=medium

  * New upstream release (Closes: #810525).
  * Set up DEP-8 testing.
  * deb/control:
    + put group into Maintainer field (unconfirmed group uploads).
    + deps:
      * bumped Debhelper version to 9 (changed also deb/compat).
      * added dh-python to build deps.
      * don't depend on python-all (not needed).
      * dropped dep on pyparsing (obsolete).
      * added dep for Sphinx, dropped Jinja2 and Docutils.
      * moved Pyyaml from Recommends to Depends (is now install_requires).
    + removed X-Python-Version (not needed).
    + bumped Standards-Version to 3.9.7 (no changes needed).
    + updated Homepage, uploader email address.
    + use HTTPS for Vcs-Browser.
  * deb/copyright:
    + updated copyright spans and email addresses.
    + put Bitbucket code repo in Source field.
  * deb/rules:
    + build with Pybuild.
    + use Pybuild customization for dh_auto_test, moved override up.
    + update and cosmectics in dh_auto_install override.
    + installed override to dh_installdocs to build docs with Sphinx.
    + installed override for dh_compress to save examples from compressing.
  * deb/watch: watch pypi.debian.net.
  * Updated: deb/docs, deb/doc-base.

 -- Daniel Stender <stender@debian.org>  Mon, 14 Mar 2016 15:58:22 +0100

=== debian/control ===
Source: pybtex
Section: tex
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Daniel Stender <stender@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python (>= 2.6.6-3~),
 python-setuptools,
 python-yaml,
 python-latexcodec,
 python-nose,
 python-sphinx,
 python-pygments
Standards-Version: 3.9.8
Homepage: http://pybtex.org/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/pybtex/trunk/
Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/pybtex/trunk/

Package: pybtex
Architecture: all
Depends:
 python-pkg-resources,
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends}
Description: BibTeX-compatible bibliography processor
 Pybtex reads citation information from a file and produces a formatted
 bibliography. BibTeX style files are supported. Alternatively it is
 possible to write styles in Python.
 .
 Pybtex currently understands the following bibliography formats:
  * BibTeX
  * BibTeXML
  * YAML-based format
 .
 The resulting bibliography may be output in one of the following formats:
  * LaTeX
  * HTML
  * plain text

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=pybtex

%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

.PHONY: override_dh_auto_test
override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -Wd -m nose -v" dh_auto_test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install
	mv debian/pybtex/usr/bin/pybtex debian/pybtex/usr/bin/bibtex.pybtex
	rm -rf debian/pybtex/usr/lib/python*/*-packages/pybtex/tests/

.PHONY: override_dh_installdocs
override_dh_installdocs:
	dh_installdocs
	PYTHONPATH=. sphinx-build -N -bhtml docs/source debian/pybtex/usr/share/doc/pybtex/html

.PHONY: override_dh_installman
override_dh_installman:
	dh_installman
	cd debian/pybtex/ && rename.ul pybtex bibtex.pybtex usr/share/man/man*/pybtex.[0-9]

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress -X.bib -X.bibtexml -X.yaml -X.aux -X.bib # save examples

=== debian/tests/control ===
Tests: pybtex
Depends: pybtex, python-nose, python-yaml

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/pybtex/ \
pybtex-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pybtex 0.21

=== docs/Makefile ===
--- 
+++ 
@@ -191,14 +191,14 @@
 	@echo "build finished. the pseudo-xml files are in $(builddir)/pseudoxml."
 
 
-# http://pybtex.org/ stuff
+# https://pybtex.org/ stuff
 RSYNC = rsync -rv --delete
 RSYNC_SERVER = www-pybtex@sologoc.com
 
 upload-docs: html
-	(cd .. && ./setup.py upload_docs --upload-dir docs/$(builddir)/html)
 	$(RSYNC) $(builddir)/html/ $(RSYNC_SERVER):docs/html/
 	surge $(builddir)/html/ docs.pybtex.org
+	(cd .. && ./setup.py upload_docs --upload-dir docs/$(builddir)/html)
 
 upload-site: site
 	$(RSYNC) $(builddir)/site/ $(RSYNC_SERVER):www/html/

=== debian/changelog ===
pybtex (0.21-2) unstable; urgency=medium

  * Bump debhelper version to 10, no changes required
  * Let the pybtex CLI use the Python 3 backend
  * Normalize the preamble of the rules file
  * Drop superfluous .PHONY occurrences
  * Fix a typo in deb/changelog

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 26 Jul 2017 10:05:27 +0100

pybtex (0.21-1) unstable; urgency=medium

  * Upgrade watch file to version 4
  * Add missing gbp configuration
  * New upstream version 0.21
  * Drop the patch queue, no longer required
  * Run cme fix on control file
    - Wrap and sort fields and dependencies
    - Drop superfluous versioned dependencies
    - Bump standards version to 4.0.0
  * Run cme fix on copyright file
    - Use secure Format URI
    - Sort license paragraphs
  * Set the Source field to the PyPI URI
  * Use secure Homepage URI
  * Filter egg-info directory with extend-diff-ignore
  * Run the tests in isolation from the source tree
  * Add versioned dependency to latexcodec
  * Provide separate packages for Python 2 and docs (Closes: #856930)
  * Provide a package for Python 3
  * Build the docs using the upstream Makefile
  * Add support for the nocheck build profile
  * Add support for the nodoc build profile
  * Provide the alternative entry-point via symlinks
  * Improve the autopkgtest suite
    - Install the upstream test suite
    - Run tests against the installed package
    - Run tests for all supported Python versions
  * Adopt the package
    - Transfer maintenance to the Debian Science Team
    - Remove Daniel Stender from Uploaders
    - Add myself to Uploaders
    - Add myself to copyright (Closes: #860969)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 22 Jul 2017 21:55:03 +0100

=== debian/control ===
Source: pybtex
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: tex
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python-all,
               python-latexcodec (>= 1.0.4),
               python-nose,
               python-pygments <!nodoc>,
               python-setuptools,
               python-sphinx <!nodoc>,
               python-yaml,
               python3-all,
               python3-latexcodec (>= 1.0.4),
               python3-nose <!nocheck>,
               python3-setuptools,
               python3-yaml,
               sphinx-common
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/pybtex.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pybtex.git
Homepage: https://pybtex.org/

Package: pybtex
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-pybtex (= ${binary:Version})
Description: BibTeX-compatible bibliography processor
 Pybtex reads citation information from a file and produces a formatted
 bibliography. BibTeX style files are supported. Alternatively it is
 possible to write styles in Python.
 .
 Pybtex currently understands the following bibliography formats:
  * BibTeX
  * BibTeXML
  * YAML-based format
 .
 The resulting bibliography may be output in one of the following formats:
  * LaTeX
  * HTML
  * plain text
 .
 This package provides the command-line interface.

Package: python-pybtex
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
         python-pkg-resources
Suggests: python-pybtex-doc <!nodoc>
Breaks: pybtex (<< 0.21-1)
Replaces: pybtex (<< 0.21-1)
Description: public modules for pybtex (Python 2)
 Pybtex reads citation information from a file and produces a formatted
 bibliography. BibTeX style files are supported. Alternatively it is
 possible to write styles in Python.
 .
 Pybtex currently understands the following bibliography formats:
  * BibTeX
  * BibTeXML
  * YAML-based format
 .
 The resulting bibliography may be output in one of the following formats:
  * LaTeX
  * HTML
  * plain text
 .
 This package provides the modules for Python 2.

Package: python3-pybtex
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-pkg-resources
Suggests: python-pybtex-doc <!nodoc>
Description: public modules for pybtex (Python 3)
 Pybtex reads citation information from a file and produces a formatted
 bibliography. BibTeX style files are supported. Alternatively it is
 possible to write styles in Python.
 .
 Pybtex currently understands the following bibliography formats:
  * BibTeX
  * BibTeXML
  * YAML-based format
 .
 The resulting bibliography may be output in one of the following formats:
  * LaTeX
  * HTML
  * plain text
 .
 This package provides the modules for Python 3.

Package: python-pybtex-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for pybtex
 Pybtex reads citation information from a file and produces a formatted
 bibliography. BibTeX style files are supported. Alternatively it is
 possible to write styles in Python.
 .
 Pybtex currently understands the following bibliography formats:
  * BibTeX
  * BibTeXML
  * YAML-based format
 .
 The resulting bibliography may be output in one of the following formats:
  * LaTeX
  * HTML
  * plain text
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pybtex

ifneq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
export PYBUILD_DISABLE=test
else
export PYBUILD_BEFORE_TEST=cp -r {dir}/*.egg-info {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/*.egg-info
endif

export PYBUILD_AFTER_INSTALL_python2=rm -rf {destdir}/usr/bin

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	$(MAKE) -C docs clean
endif

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
endif

override_dh_auto_install:
	dh_auto_install
	dh_movefiles --package=pybtex --sourcedir=debian/python3-pybtex usr/bin

override_dh_compress:
	dh_compress -X.bib -X.bibtexml -X.yaml -X.aux -X.bib # save examples

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(pyversions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m nose -v pybtex
 ; done
Depends: python-all,
         python-pybtex,
         python-nose
Restrictions: allow-stderr

Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m nose -v pybtex
 ; done
Depends: python3-all,
         python3-pybtex,
         python3-nose
Restrictions: allow-stderr

## pybtex 0.22.2

=== debian/changelog ===
pybtex (0.22.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop Get-rid-of-ur.patch, no longer needed.
  * Build-depend on python3-six.
  * Add upstream patch to make sure BaseSortingStyle.sort() does not remove
    entries. This is needed for sphinxcontrib-bibtex tests to pass.
  * Update debian/copyright.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 17 Apr 2020 14:34:56 +0300

pybtex (0.21-4) unstable; urgency=medium

  * Team upload.
  * Also drop Python 2 usage from the autopkgtest tests (Closes: #937396).

 -- Stuart Prescott <stuart@debian.org>  Tue, 21 Jan 2020 02:25:19 +1100

pybtex (0.21-3) unstable; urgency=medium

  * Team upload.
  * Use Python 3 for building docs.
  * Drop Python 2 support (Closes: #937396).
  * Get rid of "ur" to fix compatibility with Python 3.4+.
  * Bump debhelper compat level to 12.
  * Enable autopkgtest-pkg-python testsuite.
  * Bump standards version to 4.4.0 (no changes).
  * d/control: Set Vcs-* to salsa.debian.org.
  * Use debhelper-compat instead of debian/compat.

 -- Ondřej Nový <onovy@debian.org>  Fri, 06 Sep 2019 11:53:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,26 +3,22 @@
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: tex
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                dpkg-dev (>= 1.17.14),
-               python-all,
-               python-latexcodec (>= 1.0.4),
-               python-nose,
-               python-pygments <!nodoc>,
-               python-setuptools,
-               python-sphinx <!nodoc>,
-               python-yaml,
+               python3-sphinx <!nodoc>,
                python3-all,
                python3-latexcodec (>= 1.0.4),
                python3-nose <!nocheck>,
                python3-setuptools,
+               python3-six,
                python3-yaml,
                sphinx-common
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/pybtex.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pybtex.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/science-team/pybtex
+Vcs-Git: https://salsa.debian.org/science-team/pybtex.git
 Homepage: https://pybtex.org/
+Testsuite: autopkgtest-pkg-python
 
 Package: pybtex
 Architecture: all
@@ -45,32 +41,6 @@
   * plain text
  .
  This package provides the command-line interface.
-
-Package: python-pybtex
-Architecture: all
-Section: python
-Depends: ${misc:Depends},
-         ${python:Depends},
-         python-pkg-resources
-Suggests: python-pybtex-doc <!nodoc>
-Breaks: pybtex (<< 0.21-1)
-Replaces: pybtex (<< 0.21-1)
-Description: public modules for pybtex (Python 2)
- Pybtex reads citation information from a file and produces a formatted
- bibliography. BibTeX style files are supported. Alternatively it is
- possible to write styles in Python.
- .
- Pybtex currently understands the following bibliography formats:
-  * BibTeX
-  * BibTeXML
-  * YAML-based format
- .
- The resulting bibliography may be output in one of the following formats:
-  * LaTeX
-  * HTML
-  * plain text
- .
- This package provides the modules for Python 2.
 
 Package: python3-pybtex
 Architecture: all

## pybtex 0.23.0

=== debian/changelog ===
pybtex (0.23.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Compatible with Python 3.9 (closes: #973071).
  * Drop Ensure-sort-only-sorts.patch, included in the new release.
  * Switch from nose to pytest for testing.
  * Add a patch to use packaged intersphinx inventory for Python API.
    - Also make python-pybtex-doc recommend python3-doc.
  * Update Source field in debian/copyright for the new PyPI domain.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 03 Nov 2020 15:10:16 +0300

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
                dpkg-dev (>= 1.17.14),
                python3-sphinx <!nodoc>,
                python3-all,
+               python3-doc <!nodoc>,
                python3-latexcodec (>= 1.0.4),
-               python3-nose <!nocheck>,
+               python3-pytest <!nocheck>,
                python3-setuptools,
                python3-six,
                python3-yaml,
@@ -72,6 +73,7 @@
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
+Recommends: python3-doc
 Built-Using: ${sphinxdoc:Built-Using}
 Description: documentation for pybtex
  Pybtex reads citation information from a file and produces a formatted

=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,9 @@
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/*.egg-info
 endif
 
-export PYBUILD_AFTER_INSTALL_python2=rm -rf {destdir}/usr/bin
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v
 ; done
Depends: python3-all,
         python3-pybtex,
         python3-pytest
Restrictions: allow-stderr

## pybtex 0.24.0

=== debian/changelog ===
pybtex (0.24.0-4) unstable; urgency=medium

  * Team upload.
  * Backport upstream patch to fix build with Sphinx ≥ 6 (closes: #1042689).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 18 Aug 2023 16:59:47 +0300

pybtex (0.24.0-3) unstable; urgency=medium

  * Team upload.
  * Fix pygments_style name (Closes: #1026694)
  * Improve d/rules
  * Add R³
  * Move package description to source package
  * Use dh-sequence-*
  * Use execute_after in d/rules

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 06 Jan 2023 19:19:33 +0100

pybtex (0.24.0-2) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Rebuild to drop old sphinx from Built-Using field.
  * debian/: Apply wrap-and-sort -abst.
  * Drop ancient build-dep dpkg-dev.
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/control: Bump debhelper compat to v13.
  * debian/patches: Refresh patches.
  * debian/copyright: Update information.

 -- Boyuan Yang <byang@debian.org>  Sat, 11 Jun 2022 21:21:54 -0400

=== debian/control ===
Source: pybtex
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Ghislain Antony Vaillant <ghisvail@gmail.com>,
Section: tex
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 python3-all,
 python3-doc <!nodoc>,
 python3-latexcodec (>= 1.0.4),
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-six,
 python3-sphinx <!nodoc>,
 python3-yaml,
 sphinx-common,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/science-team/pybtex
Vcs-Git: https://salsa.debian.org/science-team/pybtex.git
Homepage: https://pybtex.org/
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no
Description: BibTeX-compatible bibliography processor
 Pybtex reads citation information from a file and produces a formatted
 bibliography. BibTeX style files are supported. Alternatively it is
 possible to write styles in Python.
 .
 Pybtex currently understands the following bibliography formats:
  * BibTeX
  * BibTeXML
  * YAML-based format
 .
 The resulting bibliography may be output in one of the following formats:
  * LaTeX
  * HTML
  * plain text

Package: pybtex
Architecture: all
Depends:
 python3-pybtex (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package provides the command-line interface.

Package: python-pybtex-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Recommends:
 python3-doc,
Built-Using:
 ${sphinxdoc:Built-Using},
Description: ${source:Synopsis} - documentation
 ${source:Extended-Description}
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

Package: python3-pybtex
Architecture: all
Section: python
Depends:
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-pybtex-doc <!nodoc>,
Description: ${source:Synopsis} - Python 3 module
 ${source:Extended-Description}
 .
 This package provides the modules for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pybtex

ifneq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
export PYBUILD_DISABLE=test
else
export PYBUILD_BEFORE_TEST=cp -r {dir}/*.egg-info {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/*.egg-info
endif
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
export PYBUILD_AFTER_BUILD=PYTHONPATH={dir} $(MAKE) -C docs html
endif


%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_clean:
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	$(MAKE) -C docs clean
endif

execute_after_dh_auto_install:
	dh_movefiles --package=pybtex --sourcedir=debian/python3-pybtex usr/bin

override_dh_compress:
	dh_compress -X.bib -X.bibtexml -X.yaml -X.aux -X.bib # save examples

## pybtex 0.25.1

=== docs/Makefile ===
--- 
+++ 
@@ -193,15 +193,12 @@
 
 # https://pybtex.org/ stuff
 RSYNC = rsync -rv --delete
-RSYNC_SERVER = www-pybtex@sologoc.com
+RSYNC_SERVER = www-pybtex@pybtex.org
 
 upload-docs: html
 	$(RSYNC) $(builddir)/html/ $(RSYNC_SERVER):docs/html/
-	surge $(builddir)/html/ docs.pybtex.org
-	(cd .. && ./setup.py upload_docs --upload-dir docs/$(builddir)/html)
 
 upload-site: site
 	$(RSYNC) $(builddir)/site/ $(RSYNC_SERVER):www/html/
-	surge $(builddir)/site/ pybtex.org
 
 upload: upload-site upload-docs

=== debian/changelog ===
pybtex (0.25.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.25.1
  * Drop build-dependency on python3-six
  * Drop dependency on python3-pkg-resources (#1083569)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 08 Aug 2025 17:43:55 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
  python3-latexcodec (>= 1.0.4),
  python3-pytest <!nocheck>,
  python3-setuptools,
- python3-six,
  python3-sphinx <!nodoc>,
  python3-yaml,
  sphinx-common,
@@ -70,7 +69,6 @@
 Architecture: all
 Section: python
 Depends:
- python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/*.egg-info
 endif
 ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
-export PYBUILD_AFTER_BUILD=PYTHONPATH={dir} $(MAKE) -C docs html
+export PYBUILD_AFTER_BUILD=PYTHONPATH={dir}:{dir}/docs/pybtex_doctools $(MAKE) -C docs html
 endif

=== debian/tests/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
  ; echo "Testing with $py:"
  ; $py -m pytest -v
  ; done
-Depends: python3-all,
-         python3-pybtex,
-         python3-pytest
+Depends:
+ python3-all,
+ python3-pybtex,
+ python3-pytest,
 Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pybtex/pybtex@ANY_VERSION@@ARCHIVE_EXT@
